Package org.drinkless.tdlib

# Class TdApi.NetworkStatisticsEntryCall

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.NetworkStatisticsEntry
org.drinkless.tdlib.TdApi.NetworkStatisticsEntryCall

Enclosing class:
  TdApi

public static class TdApi.NetworkStatisticsEntryCall extends TdApi.NetworkStatisticsEntry
Contains information about the total amount of data that was used for calls.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.NetworkStatisticsEntry

  `TdApi.NetworkStatisticsEntry.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `double`
  `duration`
  Total call duration, in seconds.
  `TdApi.NetworkType`
  `networkType`
  Type of the network the data was sent through.
  `long`
  `receivedBytes`
  Total number of bytes received.
  `long`
  `sentBytes`
  Total number of bytes sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkStatisticsEntryCall()`
  Contains information about the total amount of data that was used for calls.
  `NetworkStatisticsEntryCall(TdApi.NetworkType networkType, long sentBytes, long receivedBytes, double duration)`
  Contains information about the total amount of data that was used for calls.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### networkType

    public TdApi.NetworkType networkType
    Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.

  - ### sentBytes

    public long sentBytes
    Total number of bytes sent.

  - ### receivedBytes

    public long receivedBytes
    Total number of bytes received.

  - ### duration

    public double duration
    Total call duration, in seconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NetworkStatisticsEntryCall

    public NetworkStatisticsEntryCall()
    Contains information about the total amount of data that was used for calls.

  - ### NetworkStatisticsEntryCall

    public NetworkStatisticsEntryCall(TdApi.NetworkType networkType, long sentBytes, long receivedBytes, double duration)
    Contains information about the total amount of data that was used for calls.
    Parameters:
      `networkType` - Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.
      `sentBytes` - Total number of bytes sent.
      `receivedBytes` - Total number of bytes received.
      `duration` - Total call duration, in seconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.NetworkStatisticsEntry`
    Returns:
      this.CONSTRUCTOR